@import url("https://fonts.googleapis.com/css2?family=Jaro:opsz@6..72&family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

body {
  background-image: linear-gradient(
    to left top,
    #2a292b,
    #2d2835,
    #2d2740,
    #2b264b,
    #242657
  );
}

.navbar-light {
  background-color: rgba(255, 255, 255, 0.08) !important;
}

#banner_container {
  background-color: #443c4d50;
}

#banner_row {
  min-height: 30ch;
  padding-right: 0;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

#banner_row .highlight {
  text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 5px darkblue;
}

#banner_row .highlight :hover {
  text-shadow: 1px 1px 2px black, 0 0 25px red, 0 0 5px darkblue;
}

#intro h1 {
  font-family: "Jaro", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  text-shadow: 1px 1px 2px black, 0 0 20px #00c6d0, 0 0 5px darkblue;
}

#ascii_art {
  font-size: 0.6rem;
  color: white;
  font-family: "Courier New", Courier, monospace;
  letter-spacing: 0.1rem;
  line-height: 130%;
  text-align: center;
}

.scroll-container {
  overflow: auto;
  white-space: nowrap;
  padding: 10px;
  max-height: fit-content;
  text-align: center;
  margin: 10px;
}

.scroll-container::-webkit-scrollbar {
  height: 0.3rem;
}

.scroll-container::-webkit-scrollbar-track {
  background: #242657;
}

.scroll-container::-webkit-scrollbar-thumb {
  border-radius: 0.3rem;
  background-color: #00d2ff;
  background-image: linear-gradient(to top, #00d2ff 0%, #3a7bd5 100%);
}

.scroll-container img {
  padding: 10px;
  max-height: 64px;
}

#info-transition #left {
  background-image: linear-gradient(
    to top right,
    rgba(0, 0, 0, 0) 50%,
    #443c4d50 50%
  );
  height: 50px;
}

#info-transition #right {
  background-image: linear-gradient(
    to top left,
    rgba(0, 0, 0, 0) 50%,
    #443c4d50 50%
  );
  height: 50px;
}

#project-transition-top #left {
  background-image: linear-gradient(
    to bottom right,
    rgba(0, 0, 0, 0) 50%,
    #a3cfc640 50%
  );
  height: 50px;
}

#project-transition-top #right {
  background-image: linear-gradient(
    to bottom left,
    rgba(0, 0, 0, 0) 50%,
    #a3cfc640 50%
  );
  height: 50px;
}

#project_container {
  background-color: #a3cfc640;
  text-align: center;
  padding-bottom: 50px;
}

.project {
  margin-top: 30px;
  text-align: left;
  background-color: #443c4d;
  color: white;
  box-shadow: 5px 5px 5px #f2ecff, 10px 10px 5px #00c6d0;
}

.project h3 {
  font-family: "jaro";
}
